#! /bin/sh

# Guess values for system-dependent variables and create Makefiles.
# Generated automatically using autoconf version 2.12 
# Copyright (C) 1992, 93, 94, 95, 96 Free Software Foundation, Inc.
#
# This configure script is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# Defaults:
ac_help=
ac_default_prefix=/usr/local
# Any additions from configure.in:
ac_help="$ac_help
  --with-build=DIR       select which system to build"
ac_help="$ac_help
  --with-java=DIR           use Java binaries from DIR, defaults to the value of the JAVA_HOME environment variable"
ac_help="$ac_help
  --with-javaarchinclude=DIR        use Java arch dependent includes from DIR"
ac_help="$ac_help
  --with-javaarchlib=DIR        use Java architecture dependent libraries from DIR"
ac_help="$ac_help
  --with-tcl=DIR          use Tcl 8.0 binaries from DIR"
ac_help="$ac_help
  --with-studio=DIR       store where studio is"

# Initialize some variables set by options.
# The variables have the same names as the options, with
# dashes changed to underlines.
build=NONE
cache_file=./config.cache
exec_prefix=NONE
host=NONE
no_create=
nonopt=NONE
no_recursion=
prefix=NONE
program_prefix=NONE
program_suffix=NONE
program_transform_name=s,x,x,
silent=
site=
srcdir=
target=NONE
verbose=
x_includes=NONE
x_libraries=NONE
bindir='${exec_prefix}/bin'
sbindir='${exec_prefix}/sbin'
libexecdir='${exec_prefix}/libexec'
datadir='${prefix}/share'
sysconfdir='${prefix}/etc'
sharedstatedir='${prefix}/com'
localstatedir='${prefix}/var'
libdir='${exec_prefix}/lib'
includedir='${prefix}/include'
oldincludedir='/usr/include'
infodir='${prefix}/info'
mandir='${prefix}/man'

# Initialize some other variables.
subdirs=
MFLAGS= MAKEFLAGS=
# Maximum number of lines to put in a shell here document.
ac_max_here_lines=12

ac_prev=
for ac_option
do

  # If the previous option needs an argument, assign it.
  if test -n "$ac_prev"; then
    eval "$ac_prev=\$ac_option"
    ac_prev=
    continue
  fi

  case "$ac_option" in
  -*=*) ac_optarg=`echo "$ac_option" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
  *) ac_optarg= ;;
  esac

  # Accept the important Cygnus configure options, so we can diagnose typos.

  case "$ac_option" in

  -bindir | --bindir | --bindi | --bind | --bin | --bi)
    ac_prev=bindir ;;
  -bindir=* | --bindir=* | --bindi=* | --bind=* | --bin=* | --bi=*)
    bindir="$ac_optarg" ;;

  -build | --build | --buil | --bui | --bu)
    ac_prev=build ;;
  -build=* | --build=* | --buil=* | --bui=* | --bu=*)
    build="$ac_optarg" ;;

  -cache-file | --cache-file | --cache-fil | --cache-fi \
  | --cache-f | --cache- | --cache | --cach | --cac | --ca | --c)
    ac_prev=cache_file ;;
  -cache-file=* | --cache-file=* | --cache-fil=* | --cache-fi=* \
  | --cache-f=* | --cache-=* | --cache=* | --cach=* | --cac=* | --ca=* | --c=*)
    cache_file="$ac_optarg" ;;

  -datadir | --datadir | --datadi | --datad | --data | --dat | --da)
    ac_prev=datadir ;;
  -datadir=* | --datadir=* | --datadi=* | --datad=* | --data=* | --dat=* \
  | --da=*)
    datadir="$ac_optarg" ;;

  -disable-* | --disable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*disable-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    eval "enable_${ac_feature}=no" ;;

  -enable-* | --enable-*)
    ac_feature=`echo $ac_option|sed -e 's/-*enable-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_feature| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_feature: invalid feature name" 1>&2; exit 1; }
    fi
    ac_feature=`echo $ac_feature| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "enable_${ac_feature}='$ac_optarg'" ;;

  -exec-prefix | --exec_prefix | --exec-prefix | --exec-prefi \
  | --exec-pref | --exec-pre | --exec-pr | --exec-p | --exec- \
  | --exec | --exe | --ex)
    ac_prev=exec_prefix ;;
  -exec-prefix=* | --exec_prefix=* | --exec-prefix=* | --exec-prefi=* \
  | --exec-pref=* | --exec-pre=* | --exec-pr=* | --exec-p=* | --exec-=* \
  | --exec=* | --exe=* | --ex=*)
    exec_prefix="$ac_optarg" ;;

  -gas | --gas | --ga | --g)
    # Obsolete; use --with-gas.
    with_gas=yes ;;

  -help | --help | --hel | --he)
    # Omit some internal or obsolete options to make the list less imposing.
    # This message is too long to be a string in the A/UX 3.1 sh.
    cat << EOF
Usage: configure [options] [host]
Options: [defaults in brackets after descriptions]
Configuration:
  --cache-file=FILE       cache test results in FILE
  --help                  print this message
  --no-create             do not create output files
  --quiet, --silent       do not print \`checking...' messages
  --version               print the version of autoconf that created configure
Directory and file names:
  --prefix=PREFIX         install architecture-independent files in PREFIX
                          [$ac_default_prefix]
  --exec-prefix=EPREFIX   install architecture-dependent files in EPREFIX
                          [same as prefix]
  --bindir=DIR            user executables in DIR [EPREFIX/bin]
  --sbindir=DIR           system admin executables in DIR [EPREFIX/sbin]
  --libexecdir=DIR        program executables in DIR [EPREFIX/libexec]
  --datadir=DIR           read-only architecture-independent data in DIR
                          [PREFIX/share]
  --sysconfdir=DIR        read-only single-machine data in DIR [PREFIX/etc]
  --sharedstatedir=DIR    modifiable architecture-independent data in DIR
                          [PREFIX/com]
  --localstatedir=DIR     modifiable single-machine data in DIR [PREFIX/var]
  --libdir=DIR            object code libraries in DIR [EPREFIX/lib]
  --includedir=DIR        C header files in DIR [PREFIX/include]
  --oldincludedir=DIR     C header files for non-gcc in DIR [/usr/include]
  --infodir=DIR           info documentation in DIR [PREFIX/info]
  --mandir=DIR            man documentation in DIR [PREFIX/man]
  --srcdir=DIR            find the sources in DIR [configure dir or ..]
  --program-prefix=PREFIX prepend PREFIX to installed program names
  --program-suffix=SUFFIX append SUFFIX to installed program names
  --program-transform-name=PROGRAM
                          run sed PROGRAM on installed program names
EOF
    cat << EOF
Host type:
  --build=BUILD           configure for building on BUILD [BUILD=HOST]
  --host=HOST             configure for HOST [guessed]
  --target=TARGET         configure for TARGET [TARGET=HOST]
Features and packages:
  --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
  --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
  --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
  --x-includes=DIR        X include files are in DIR
  --x-libraries=DIR       X library files are in DIR
EOF
    if test -n "$ac_help"; then
      echo "--enable and --with options recognized:$ac_help"
    fi
    exit 0 ;;

  -host | --host | --hos | --ho)
    ac_prev=host ;;
  -host=* | --host=* | --hos=* | --ho=*)
    host="$ac_optarg" ;;

  -includedir | --includedir | --includedi | --included | --include \
  | --includ | --inclu | --incl | --inc)
    ac_prev=includedir ;;
  -includedir=* | --includedir=* | --includedi=* | --included=* | --include=* \
  | --includ=* | --inclu=* | --incl=* | --inc=*)
    includedir="$ac_optarg" ;;

  -infodir | --infodir | --infodi | --infod | --info | --inf)
    ac_prev=infodir ;;
  -infodir=* | --infodir=* | --infodi=* | --infod=* | --info=* | --inf=*)
    infodir="$ac_optarg" ;;

  -libdir | --libdir | --libdi | --libd)
    ac_prev=libdir ;;
  -libdir=* | --libdir=* | --libdi=* | --libd=*)
    libdir="$ac_optarg" ;;

  -libexecdir | --libexecdir | --libexecdi | --libexecd | --libexec \
  | --libexe | --libex | --libe)
    ac_prev=libexecdir ;;
  -libexecdir=* | --libexecdir=* | --libexecdi=* | --libexecd=* | --libexec=* \
  | --libexe=* | --libex=* | --libe=*)
    libexecdir="$ac_optarg" ;;

  -localstatedir | --localstatedir | --localstatedi | --localstated \
  | --localstate | --localstat | --localsta | --localst \
  | --locals | --local | --loca | --loc | --lo)
    ac_prev=localstatedir ;;
  -localstatedir=* | --localstatedir=* | --localstatedi=* | --localstated=* \
  | --localstate=* | --localstat=* | --localsta=* | --localst=* \
  | --locals=* | --local=* | --loca=* | --loc=* | --lo=*)
    localstatedir="$ac_optarg" ;;

  -mandir | --mandir | --mandi | --mand | --man | --ma | --m)
    ac_prev=mandir ;;
  -mandir=* | --mandir=* | --mandi=* | --mand=* | --man=* | --ma=* | --m=*)
    mandir="$ac_optarg" ;;

  -nfp | --nfp | --nf)
    # Obsolete; use --without-fp.
    with_fp=no ;;

  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c)
    no_create=yes ;;

  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r)
    no_recursion=yes ;;

  -oldincludedir | --oldincludedir | --oldincludedi | --oldincluded \
  | --oldinclude | --oldinclud | --oldinclu | --oldincl | --oldinc \
  | --oldin | --oldi | --old | --ol | --o)
    ac_prev=oldincludedir ;;
  -oldincludedir=* | --oldincludedir=* | --oldincludedi=* | --oldincluded=* \
  | --oldinclude=* | --oldinclud=* | --oldinclu=* | --oldincl=* | --oldinc=* \
  | --oldin=* | --oldi=* | --old=* | --ol=* | --o=*)
    oldincludedir="$ac_optarg" ;;

  -prefix | --prefix | --prefi | --pref | --pre | --pr | --p)
    ac_prev=prefix ;;
  -prefix=* | --prefix=* | --prefi=* | --pref=* | --pre=* | --pr=* | --p=*)
    prefix="$ac_optarg" ;;

  -program-prefix | --program-prefix | --program-prefi | --program-pref \
  | --program-pre | --program-pr | --program-p)
    ac_prev=program_prefix ;;
  -program-prefix=* | --program-prefix=* | --program-prefi=* \
  | --program-pref=* | --program-pre=* | --program-pr=* | --program-p=*)
    program_prefix="$ac_optarg" ;;

  -program-suffix | --program-suffix | --program-suffi | --program-suff \
  | --program-suf | --program-su | --program-s)
    ac_prev=program_suffix ;;
  -program-suffix=* | --program-suffix=* | --program-suffi=* \
  | --program-suff=* | --program-suf=* | --program-su=* | --program-s=*)
    program_suffix="$ac_optarg" ;;

  -program-transform-name | --program-transform-name \
  | --program-transform-nam | --program-transform-na \
  | --program-transform-n | --program-transform- \
  | --program-transform | --program-transfor \
  | --program-transfo | --program-transf \
  | --program-trans | --program-tran \
  | --progr-tra | --program-tr | --program-t)
    ac_prev=program_transform_name ;;
  -program-transform-name=* | --program-transform-name=* \
  | --program-transform-nam=* | --program-transform-na=* \
  | --program-transform-n=* | --program-transform-=* \
  | --program-transform=* | --program-transfor=* \
  | --program-transfo=* | --program-transf=* \
  | --program-trans=* | --program-tran=* \
  | --progr-tra=* | --program-tr=* | --program-t=*)
    program_transform_name="$ac_optarg" ;;

  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil)
    silent=yes ;;

  -sbindir | --sbindir | --sbindi | --sbind | --sbin | --sbi | --sb)
    ac_prev=sbindir ;;
  -sbindir=* | --sbindir=* | --sbindi=* | --sbind=* | --sbin=* \
  | --sbi=* | --sb=*)
    sbindir="$ac_optarg" ;;

  -sharedstatedir | --sharedstatedir | --sharedstatedi \
  | --sharedstated | --sharedstate | --sharedstat | --sharedsta \
  | --sharedst | --shareds | --shared | --share | --shar \
  | --sha | --sh)
    ac_prev=sharedstatedir ;;
  -sharedstatedir=* | --sharedstatedir=* | --sharedstatedi=* \
  | --sharedstated=* | --sharedstate=* | --sharedstat=* | --sharedsta=* \
  | --sharedst=* | --shareds=* | --shared=* | --share=* | --shar=* \
  | --sha=* | --sh=*)
    sharedstatedir="$ac_optarg" ;;

  -site | --site | --sit)
    ac_prev=site ;;
  -site=* | --site=* | --sit=*)
    site="$ac_optarg" ;;

  -srcdir | --srcdir | --srcdi | --srcd | --src | --sr)
    ac_prev=srcdir ;;
  -srcdir=* | --srcdir=* | --srcdi=* | --srcd=* | --src=* | --sr=*)
    srcdir="$ac_optarg" ;;

  -sysconfdir | --sysconfdir | --sysconfdi | --sysconfd | --sysconf \
  | --syscon | --sysco | --sysc | --sys | --sy)
    ac_prev=sysconfdir ;;
  -sysconfdir=* | --sysconfdir=* | --sysconfdi=* | --sysconfd=* | --sysconf=* \
  | --syscon=* | --sysco=* | --sysc=* | --sys=* | --sy=*)
    sysconfdir="$ac_optarg" ;;

  -target | --target | --targe | --targ | --tar | --ta | --t)
    ac_prev=target ;;
  -target=* | --target=* | --targe=* | --targ=* | --tar=* | --ta=* | --t=*)
    target="$ac_optarg" ;;

  -v | -verbose | --verbose | --verbos | --verbo | --verb)
    verbose=yes ;;

  -version | --version | --versio | --versi | --vers)
    echo "configure generated by autoconf version 2.12"
    exit 0 ;;

  -with-* | --with-*)
    ac_package=`echo $ac_option|sed -e 's/-*with-//' -e 's/=.*//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-_a-zA-Z0-9]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    case "$ac_option" in
      *=*) ;;
      *) ac_optarg=yes ;;
    esac
    eval "with_${ac_package}='$ac_optarg'" ;;

  -without-* | --without-*)
    ac_package=`echo $ac_option|sed -e 's/-*without-//'`
    # Reject names that are not valid shell variable names.
    if test -n "`echo $ac_package| sed 's/[-a-zA-Z0-9_]//g'`"; then
      { echo "configure: error: $ac_package: invalid package name" 1>&2; exit 1; }
    fi
    ac_package=`echo $ac_package| sed 's/-/_/g'`
    eval "with_${ac_package}=no" ;;

  --x)
    # Obsolete; use --with-x.
    with_x=yes ;;

  -x-includes | --x-includes | --x-include | --x-includ | --x-inclu \
  | --x-incl | --x-inc | --x-in | --x-i)
    ac_prev=x_includes ;;
  -x-includes=* | --x-includes=* | --x-include=* | --x-includ=* | --x-inclu=* \
  | --x-incl=* | --x-inc=* | --x-in=* | --x-i=*)
    x_includes="$ac_optarg" ;;

  -x-libraries | --x-libraries | --x-librarie | --x-librari \
  | --x-librar | --x-libra | --x-libr | --x-lib | --x-li | --x-l)
    ac_prev=x_libraries ;;
  -x-libraries=* | --x-libraries=* | --x-librarie=* | --x-librari=* \
  | --x-librar=* | --x-libra=* | --x-libr=* | --x-lib=* | --x-li=* | --x-l=*)
    x_libraries="$ac_optarg" ;;

  -*) { echo "configure: error: $ac_option: invalid option; use --help to show usage" 1>&2; exit 1; }
    ;;

  *)
    if test -n "`echo $ac_option| sed 's/[-a-z0-9.]//g'`"; then
      echo "configure: warning: $ac_option: invalid host type" 1>&2
    fi
    if test "x$nonopt" != xNONE; then
      { echo "configure: error: can only configure for one host and one target at a time" 1>&2; exit 1; }
    fi
    nonopt="$ac_option"
    ;;

  esac
done

if test -n "$ac_prev"; then
  { echo "configure: error: missing argument to --`echo $ac_prev | sed 's/_/-/g'`" 1>&2; exit 1; }
fi

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

# File descriptor usage:
# 0 standard input
# 1 file creation
# 2 errors and warnings
# 3 some systems may open it to /dev/tty
# 4 used on the Kubota Titan
# 6 checking for... messages and results
# 5 compiler messages saved in config.log
if test "$silent" = yes; then
  exec 6>/dev/null
else
  exec 6>&1
fi
exec 5>./config.log

echo "\
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.
" 1>&5

# Strip out --no-create and --no-recursion so they do not pile up.
# Also quote any args containing shell metacharacters.
ac_configure_args=
for ac_arg
do
  case "$ac_arg" in
  -no-create | --no-create | --no-creat | --no-crea | --no-cre \
  | --no-cr | --no-c) ;;
  -no-recursion | --no-recursion | --no-recursio | --no-recursi \
  | --no-recurs | --no-recur | --no-recu | --no-rec | --no-re | --no-r) ;;
  *" "*|*"	"*|*[\[\]\~\#\$\^\&\*\(\)\{\}\\\|\;\<\>\?]*)
  ac_configure_args="$ac_configure_args '$ac_arg'" ;;
  *) ac_configure_args="$ac_configure_args $ac_arg" ;;
  esac
done

# NLS nuisances.
# Only set these to C if already set.  These must not be set unconditionally
# because not all systems understand e.g. LANG=C (notably SCO).
# Fixing LC_MESSAGES prevents Solaris sh from translating var values in `set'!
# Non-C LC_CTYPE values break the ctype check.
if test "${LANG+set}"   = set; then LANG=C;   export LANG;   fi
if test "${LC_ALL+set}" = set; then LC_ALL=C; export LC_ALL; fi
if test "${LC_MESSAGES+set}" = set; then LC_MESSAGES=C; export LC_MESSAGES; fi
if test "${LC_CTYPE+set}"    = set; then LC_CTYPE=C;    export LC_CTYPE;    fi

# confdefs.h avoids OS command line length limits that DEFS can exceed.
rm -rf conftest* confdefs.h
# AIX cpp loses on an empty file, so make sure it contains at least a newline.
echo > confdefs.h

# A filename unique to this package, relative to the directory that
# configure is in, which we can look for to find out if srcdir is correct.
ac_unique_file=../src/tcljava/tcl/lang/InternalRep.java

# Find the source files, if location was not specified.
if test -z "$srcdir"; then
  ac_srcdir_defaulted=yes
  # Try the directory containing this script, then its parent.
  ac_prog=$0
  ac_confdir=`echo $ac_prog|sed 's%/[^/][^/]*$%%'`
  test "x$ac_confdir" = "x$ac_prog" && ac_confdir=.
  srcdir=$ac_confdir
  if test ! -r $srcdir/$ac_unique_file; then
    srcdir=..
  fi
else
  ac_srcdir_defaulted=no
fi
if test ! -r $srcdir/$ac_unique_file; then
  if test "$ac_srcdir_defaulted" = yes; then
    { echo "configure: error: can not find sources in $ac_confdir or .." 1>&2; exit 1; }
  else
    { echo "configure: error: can not find sources in $srcdir" 1>&2; exit 1; }
  fi
fi
srcdir=`echo "${srcdir}" | sed 's%\([^/]\)/*$%\1%'`

# Prefer explicitly selected file to automatically selected ones.
if test -z "$CONFIG_SITE"; then
  if test "x$prefix" != xNONE; then
    CONFIG_SITE="$prefix/share/config.site $prefix/etc/config.site"
  else
    CONFIG_SITE="$ac_default_prefix/share/config.site $ac_default_prefix/etc/config.site"
  fi
fi
for ac_site_file in $CONFIG_SITE; do
  if test -r "$ac_site_file"; then
    echo "loading site script $ac_site_file"
    . "$ac_site_file"
  fi
done

if test -r "$cache_file"; then
  echo "loading cache $cache_file"
  . $cache_file
else
  echo "creating cache $cache_file"
  > $cache_file
fi

ac_ext=c
# CFLAGS is not in ac_cpp because -g, -O, etc. are not valid cpp options.
ac_cpp='$CPP $CPPFLAGS'
ac_compile='${CC-cc} -c $CFLAGS $CPPFLAGS conftest.$ac_ext 1>&5'
ac_link='${CC-cc} -o conftest $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS 1>&5'
cross_compiling=$ac_cv_prog_cc_cross

if (echo "testing\c"; echo 1,2,3) | grep c >/dev/null; then
  # Stardent Vistra SVR4 grep lacks -e, says ghazi@caip.rutgers.edu.
  if (echo -n testing; echo 1,2,3) | sed s/-n/xn/ | grep xn >/dev/null; then
    ac_n= ac_c='
' ac_t='	'
  else
    ac_n=-n ac_c= ac_t=
  fi
else
  ac_n= ac_c='\c' ac_t=
fi


# RCS: @(#) $Id: configure.in,v 1.8 1999/03/02 15:38:17 hylands Exp $


#--------------------------------------------------------------------
#	Locate which java tool to build.  If the --with-build option
#	is used, that overides everthing.  Otherwise look for Tcl Blend
#	first then tclBlend.
#--------------------------------------------------------------------

# Check whether --with-build or --without-build was given.
if test "${with_build+set}" = set; then
  withval="$with_build"
  TCLJAVA=$withval
else
  TCLJAVA=NONE
fi


if test $TCLJAVA != "NONE"; then
    if test $TCLJAVA != "jacl" && test $TCLJAVA != "tclblend"; then 
	{ echo "configure: error: Cannot build '${TCLJAVA}': use 'jacl' or 'tclblend'" 1>&2; exit 1; }
    fi
fi

#convert srcdir into full path name
srcdir=`cd $srcdir;pwd`

# BOTH will automatically be set to true when configuring Jacl and TclBlend
BOTH=false

echo "srcdir is $srcdir"
if test $TCLJAVA = "NONE"; then 
    if test -f $srcdir/../src/tclblend/tcl/lang/Interp.java; then
	TCLJAVA=tclblend
    elif test -f $srcdir/../src/jacl/tcl/lang/Interp.java; then 
	TCLJAVA=jacl
    else
	{ echo "configure: error: Cannot find source files to build either Jacl or Tcl Blend" 1>&2; exit 1; }
    fi

    if test -f $srcdir/../src/jacl/tcl/lang/Interp.java && test $TCLJAVA = "tclblend"; then
        echo "configuring for both jacl and tcl blend"
        BOTH=true
    fi
fi

#--------------------------------------------------------------------
#	See if there was a command-line option for where Java is;  if
#	not, check to see if the JAVA_HOME environment variable is set;
#       if it is not, look for javac on the path.
#--------------------------------------------------------------------

# Check whether --with-java or --without-java was given.
if test "${with_java+set}" = set; then
  withval="$with_java"
  JAVA_DIR=$withval
else
  JAVA_DIR=$JAVA_HOME
fi


if test ! -d "$JAVA_DIR"; then
    echo "configure: warning: \$JAVA_DIR == '${JAVA_DIR}' is not a directory,
	so we search for the java compiler." 1>&2
    # Extract the first word of "javac", so it can be a program name with args.
set dummy javac; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:601: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_JAVAC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$JAVAC" in
  /*)
  ac_cv_path_JAVAC="$JAVAC" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_JAVAC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
JAVAC="$ac_cv_path_JAVAC"
if test -n "$JAVAC"; then
  echo "$ac_t""$JAVAC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test -x "$JAVAC"; then	
	JAVABIN=`dirname $JAVAC`
	JAVA_DIR=`dirname $JAVABIN`
    else
        echo "configure: warning:  Failed to find javac, perhaps Java is not installed?" 1>&2
    fi

    # The default location that we look for the JDK.  This should probably
    # be a list that includes /usr/local/jdk and /opt/jdk
    DEFAULT_JDK=/opt/jdk1.1.6
    if test ! -d "$JAVA_DIR"; then
	echo "configure: warning: '${JAVA_DIR}' is not a directory, using the default '${DEFAULT_JDK}'" 1>&2
	if test -d "$DEFAULT_JDK"; then
	    JAVA_DIR=`cd $DEFAULT_JDK; pwd`	
	else
			    { echo "configure: error: 
Java directory $DEFAULT_JDK doesn't exist.
Try --with-java=DIR, or set the JAVA_HOME environment variable." 1>&2; exit 1; }
	fi	
    fi	
fi

#
# Check that we have the javac that corresponds with JAVA_DIR in our path
#
echo $ac_n "checking for the java runtime in $JAVA_DIR/bin""... $ac_c" 1>&6
echo "configure:655: checking for the java runtime in $JAVA_DIR/bin" >&5
if test -f $JAVA_DIR/bin/java; then
    echo "$ac_t""$JAVA_DIR/bin/java" 1>&6
    echo $ac_n "checking that you have the right java in your path.""... $ac_c" 1>&6
echo "configure:659: checking that you have the right java in your path." >&5
    # Extract the first word of "java", so it can be a program name with args.
set dummy java; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:663: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_JAVA'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$JAVA" in
  /*)
  ac_cv_path_JAVA="$JAVA" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_JAVA="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
JAVA="$ac_cv_path_JAVA"
if test -n "$JAVA"; then
  echo "$ac_t""$JAVA" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test "$JAVA_DIR/bin/java" = "$JAVA"; then
	echo "$ac_t""  You have the right java in your path, $JAVA_DIR/bin/java = $JAVA" 1>&6
    else
	echo "configure: warning: $JAVA_DIR/bin/java is not the same as $JAVA.
Be sure that you don't have a mismatch in JDK versions." 1>&2
	JAVA=$JAVA_DIR/bin/java
    fi
else
    { echo "configure: error: 
  Cannot find $JAVA_DIR/bin/java.
  Try --with-java=DIR, or set the JAVA_HOME environment variable." 1>&2; exit 1; } 
fi


#
# Check that we have the javac that corresponds with JAVA_DIR in our path
#
echo $ac_n "checking for the java compiler in $JAVA_DIR/bin""... $ac_c" 1>&6
echo "configure:709: checking for the java compiler in $JAVA_DIR/bin" >&5
if test -f $JAVA_DIR/bin/javac; then
    echo "$ac_t""$JAVA_DIR/bin/javac" 1>&6
    echo $ac_n "checking that you have the right javac in your path.""... $ac_c" 1>&6
echo "configure:713: checking that you have the right javac in your path." >&5
    # Extract the first word of "javac", so it can be a program name with args.
set dummy javac; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:717: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_JAVAC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$JAVAC" in
  /*)
  ac_cv_path_JAVAC="$JAVAC" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_JAVAC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
JAVAC="$ac_cv_path_JAVAC"
if test -n "$JAVAC"; then
  echo "$ac_t""$JAVAC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

    if test "$JAVA_DIR/bin/javac" = "$JAVAC"; then
        echo "$ac_t""  You have the right javac in your path, $JAVA_DIR/bin/javac = $JAVAC" 1>&6
    else
        echo "configure: warning: $JAVA_DIR/bin/javac is not the same as $JAVAC.
Be sure that you don't have a mismatch in JDK versions." 1>&2
	JAVAC=$JAVA_DIR/bin/javac
    fi
else
    { echo "configure: error: 
  Cannot find $JAVA_DIR/bin/javac.
  Try --with-java=DIR, or set the JAVA_HOME environment variable." 1>&2; exit 1; }
fi



#
# If we are compiling tclBlend, then we need to:
# 1. Check that we have native threads if we are under Solaris.
# 2. Find the platform dependent include files
# 3. Find the platform dependent libraries
#
if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then
    JDK1_2BETA3=no
    JAVA_INC_DIR=$JAVA_DIR/include
    #
    # Check to see that we can find the right pieces
    #
    if test ! -f $JAVA_DIR/include/StubPreamble.h; then
	    if test ! -f $JAVA_DIR/include/jni.h; then
		if test -f $JAVA_DIR/include/java/StubPreamble.h; then
		    # JDK1.1.4 under Digital Unix 
		    JAVA_INC_DIR=$JAVA_DIR/include/java
		else
		    { echo "configure: error: There's no StubPreamble.h in $JAVA_DIR/include.
		    Try --with-java=DIR, or set the JAVA_HOME environment variable." 1>&2; exit 1; }
		fi	
	    else 
		JDK1_2BETA3=yes
		echo "Looks like you are running jdk1.2beta3 or later"
	    fi	
    fi

    #
    # Platform dependent checks go here
    #
    case "`uname -s`" in
	HP-UX) ;;
	Linux) ;;
	IRIX) ;;
	SunOS) 
	    if test ! -d $JAVA_DIR/include/native_threads; then
		if test "$JDK1_2BETA3" = "no"; then
		    if test -r $JAVA_DIR/lib/sparc/native_threads; then
			echo "$ac_t"" '$JAVA_DIR/include/native_threads'
does not exist, but '$JAVA_DIR/lib/sparc/native_threads' is readable,
so you are probably running the production JDK." 1>&6
		    else	
			{ echo "configure: error: '${JAVA_DIR}/include/native_threads'
does not exist.
You must install the Solaris JDK Native Threads Pack to use tclBlend.
See http://www.javasoft.com/products/jdk/1.1/index.html." 1>&2; exit 1; }
		    fi
		fi
	    fi
	    AUX_LIBS="-lthread"
	    ;;
	*);;
    esac

    #
    # Find the proper platform include directory
    #
    case "`uname -s`" in
	# Keep these alphabetical, please.
	HP-UX) TMP_JAVA_ARCH_INCLUDE=$JAVA_DIR/include/hp-ux;;
	IRIX)  TMP_JAVA_ARCH_INCLUDE=$JAVA_DIR/include/irix;;
	Linux) TMP_JAVA_ARCH_INCLUDE=$JAVA_DIR/include/linux;;
	OSF1)  TMP_JAVA_ARCH_INCLUDE=$JAVA_DIR/include/java/alpha;;
	SunOS) TMP_JAVA_ARCH_INCLUDE=$JAVA_DIR/include/solaris;;
	    *) TMP_JAVA_ARCH_INCLUDE=$JAVA_DIR/include/idontknow;;
    esac
    #
    # User specified Java architecture, used to find the jdk include files
    #
    # Check whether --with-javaarchinclude or --without-javaarchinclude was given.
if test "${with_javaarchinclude+set}" = set; then
  withval="$with_javaarchinclude"
  JAVA_ARCH_INCLUDE=$withval
else
  JAVA_ARCH_INCLUDE="$TMP_JAVA_ARCH_INCLUDE"
fi

    if test ! -d $JAVA_ARCH_INCLUDE; then
	{ echo "configure: error: Java directory $JAVA_ARCH_INCLUDE doesn't exist" 1>&2; exit 1; }
    fi
    echo $ac_n "checking for the java jni_md.h include file""... $ac_c" 1>&6
echo "configure:841: checking for the java jni_md.h include file" >&5
    if test -f $JAVA_ARCH_INCLUDE/jni_md.h; then
	echo "$ac_t""$JAVA_ARCH_INCLUDE/jni_md.h" 1>&6
    else
	{ echo "configure: error: There's no jni_md.h in $JAVA_ARCH_INCLUDE/include;
use the --with-javaarchinclude= configure flag to specify the location
of the architecture dependent include files in the JDK." 1>&2; exit 1; }
    fi

    case "`uname -s`" in
	# Keep these alphabetical, please.
	HP-UX) TMP_JAVA_ARCH_LIB=$JAVA_DIR/lib/PA_RISC/green_threads
	    JAVA_ARCH_LIB_CHK=libjava.sl
	    ;;
	IRIX) TMP_JAVA_ARCH_LIB=$JAVA_DIR/lib32/sgi/green_threads
	    JAVA_ARCH_LIB_CHK=libjava.so
	    ;;
	Linux) TMP_JAVA_ARCH_LIB=$JAVA_DIR/lib/linux/green_threads
	    JAVA_ARCH_LIB_CHK=libjava.so
	    ;;
	OSF1) TMP_JAVA_ARCH_LIB=$JAVA_DIR/shlib
	    JAVA_ARCH_LIB_CHK=libjava.so
	    ;;
	SunOS) 
	    TMP_JAVA_ARCH_LIB=$JAVA_DIR/lib/sparc/native_threads
	    JAVA_ARCH_LIB_CHK=libjava.so

	    if test ! -f $TMP_JAVA_ARCH_LIB/$JAVA_ARCH_LIB_CHK; then
		# Could be JDK1.2beta3 or later, which does not have libjava.so
		# in lib/sparc/native_threads
		TMP_JAVA_ARCH_LIB=$JAVA_DIR/lib/sparc
	        if test ! -f $TMP_JAVA_ARCH_LIB/$JAVA_ARCH_LIB_CHK; then
			TMP_JAVA_ARCH_LIB=$JAVA_DIR/jre/lib/sparc
		fi
		if test ! -d $TMP_JAVA_ARCH_LIB/native_threads; then
		        echo "configure: warning:  could not find '$TMP_JAVA_ARCH_LIB/native_threads'" 1>&2;
		else 
			JAVA_ARCH_RUNTIME_LIBS=$TMP_JAVA_ARCH_LIB/native_threads
		fi
	        # if it is JDK1.2RC1 we need to have
	        # jre/lib/sparc/native_threads jre/lib/sparc and
		#  jre/lib/sparc/native_threads in LD_LIBRARY_PATH
	        if test -d $JAVA_DIR/jre/lib/sparc/classic; then
                	JAVA_ARCH_RUNTIME_LIBS=$JAVA_DIR/jre/lib/sparc:$JAVA_DIR/jre/lib/sparc/classic:$JAVA_DIR/jre/lib/sparc/native_threads
	        fi
	    fi	
	    ;;
	*)TMP_JAVA_ARCH_LIB=$JAVA_DIR/lib/idontknow;;
    esac

    #
    # User specified Java architecture, used to find the jdk shared libs
    #
    # Check whether --with-javaarchlib or --without-javaarchlib was given.
if test "${with_javaarchlib+set}" = set; then
  withval="$with_javaarchlib"
  JAVA_ARCH_LIB=$withval
else
  JAVA_ARCH_LIB="$TMP_JAVA_ARCH_LIB"
fi

    if test ! -d $JAVA_ARCH_LIB; then
	{ echo "configure: error: Java directory $JAVA_ARCH_LIB doesn't exist" 1>&2; exit 1; }
    fi
    echo $ac_n "checking for the java $JAVA_ARCH_LIB_CHK library file""... $ac_c" 1>&6
echo "configure:906: checking for the java $JAVA_ARCH_LIB_CHK library file" >&5
    if test -f $JAVA_ARCH_LIB/$JAVA_ARCH_LIB_CHK; then
	echo "$ac_t""$JAVA_ARCH_LIB/$JAVA_ARCH_LIB_CHK" 1>&6
    else
	{ echo "configure: error: There's no $JAVA_ARCH_LIB_CHK in $JAVA_ARCH_LIB.
Use the --with-javaarchlib= configure flag to specify the location of the
architecture dependent library files in the JDK." 1>&2; exit 1; }
    fi

    JAVA_ARCH_LIB_PARENT_DIR=`basename $JAVA_ARCH_LIB`

    if test "$JAVA_ARCH_LIB_PARENT_DIR" = "green_threads"; then
	TMP_JAVA_ARCH_LIB=`dirname $JAVA_ARCH_LIB`/native_threads
	if test -d $TMP_JAVA_ARCH_LIB; then
		echo "configure: warning:  Note that '$TMP_JAVA_ARCH_LIB' exists,
but you chose '$JAVA_ARCH_LIB' instead." 1>&2;
	fi
	{ echo "configure: error: Tcl Blend require JDK native threads, 
Tcl Blend cannot use JDK green_threads, the JDK shared libs 
were found in $JAVA_ARCH_LIB,
which ends in 'green_threads'." 1>&2; exit 1; }
    fi

   echo $ac_n "checking how to run the C preprocessor""... $ac_c" 1>&6
echo "configure:930: checking how to run the C preprocessor" >&5
# On Suns, sometimes $CPP names a directory.
if test -n "$CPP" && test -d "$CPP"; then
  CPP=
fi
if test -z "$CPP"; then
if eval "test \"`echo '$''{'ac_cv_prog_CPP'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
    # This must be in double quotes, not single quotes, because CPP may get
  # substituted into the Makefile and "${CC-cc}" will confuse make.
  CPP="${CC-cc} -E"
  # On the NeXT, cc -E runs the code through the compiler's parser,
  # not just through cpp.
  cat > conftest.$ac_ext <<EOF
#line 945 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:951: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  CPP="${CC-cc} -E -traditional-cpp"
  cat > conftest.$ac_ext <<EOF
#line 962 "configure"
#include "confdefs.h"
#include <assert.h>
Syntax Error
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:968: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  :
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  CPP=/lib/cpp
fi
rm -f conftest*
fi
rm -f conftest*
  ac_cv_prog_CPP="$CPP"
fi
  CPP="$ac_cv_prog_CPP"
else
  ac_cv_prog_CPP="$CPP"
fi
echo "$ac_t""$CPP" 1>&6

echo $ac_n "checking for ANSI C header files""... $ac_c" 1>&6
echo "configure:991: checking for ANSI C header files" >&5
if eval "test \"`echo '$''{'ac_cv_header_stdc'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 996 "configure"
#include "confdefs.h"
#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <float.h>
EOF
ac_try="$ac_cpp conftest.$ac_ext >/dev/null 2>conftest.out"
{ (eval echo configure:1004: \"$ac_try\") 1>&5; (eval $ac_try) 2>&5; }
ac_err=`grep -v '^ *+' conftest.out`
if test -z "$ac_err"; then
  rm -rf conftest*
  ac_cv_header_stdc=yes
else
  echo "$ac_err" >&5
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

if test $ac_cv_header_stdc = yes; then
  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 1021 "configure"
#include "confdefs.h"
#include <string.h>
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep "memchr" >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
cat > conftest.$ac_ext <<EOF
#line 1039 "configure"
#include "confdefs.h"
#include <stdlib.h>
EOF
if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
  egrep "free" >/dev/null 2>&1; then
  :
else
  rm -rf conftest*
  ac_cv_header_stdc=no
fi
rm -f conftest*

fi

if test $ac_cv_header_stdc = yes; then
  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
if test "$cross_compiling" = yes; then
  :
else
  cat > conftest.$ac_ext <<EOF
#line 1060 "configure"
#include "confdefs.h"
#include <ctype.h>
#define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
#define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
int main () { int i; for (i = 0; i < 256; i++)
if (XOR (islower (i), ISLOWER (i)) || toupper (i) != TOUPPER (i)) exit(2);
exit (0); }

EOF
if { (eval echo configure:1071: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest && (./conftest; exit) 2>/dev/null
then
  :
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -fr conftest*
  ac_cv_header_stdc=no
fi
rm -fr conftest*
fi

fi
fi

echo "$ac_t""$ac_cv_header_stdc" 1>&6
if test $ac_cv_header_stdc = yes; then
  cat >> confdefs.h <<\EOF
#define STDC_HEADERS 1
EOF

fi

    # generic/javaCmd.c calls memset
    for ac_func in memset
do
echo $ac_n "checking for $ac_func""... $ac_c" 1>&6
echo "configure:1098: checking for $ac_func" >&5
if eval "test \"`echo '$''{'ac_cv_func_$ac_func'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  cat > conftest.$ac_ext <<EOF
#line 1103 "configure"
#include "confdefs.h"
/* System header to define __stub macros and hopefully few prototypes,
    which can conflict with char $ac_func(); below.  */
#include <assert.h>
/* Override any gcc2 internal prototype to avoid an error.  */
/* We use char because int might match the return type of a gcc2
    builtin and then its argument prototype would still apply.  */
char $ac_func();

int main() {

/* The GNU C library defines this for functions which it implements
    to always fail with ENOSYS.  Some functions are actually named
    something starting with __ and the normal name is an alias.  */
#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
choke me
#else
$ac_func();
#endif

; return 0; }
EOF
if { (eval echo configure:1126: \"$ac_link\") 1>&5; (eval $ac_link) 2>&5; } && test -s conftest; then
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=yes"
else
  echo "configure: failed program was:" >&5
  cat conftest.$ac_ext >&5
  rm -rf conftest*
  eval "ac_cv_func_$ac_func=no"
fi
rm -f conftest*
fi

if eval "test \"`echo '$ac_cv_func_'$ac_func`\" = yes"; then
  echo "$ac_t""yes" 1>&6
    ac_tr_func=HAVE_`echo $ac_func | tr 'abcdefghijklmnopqrstuvwxyz' 'ABCDEFGHIJKLMNOPQRSTUVWXYZ'`
  cat >> confdefs.h <<EOF
#define $ac_tr_func 1
EOF
 
else
  echo "$ac_t""no" 1>&6
fi
done


fi
# End of tclBlend section





#
# Check to make sure we know the names of the .zip or .jar files
# that need to be included in the CLASSPATH
#

echo $ac_n "checking for the classes.zip or classes.jar file in $JAVA_DIR/lib""... $ac_c" 1>&6
echo "configure:1164: checking for the classes.zip or classes.jar file in $JAVA_DIR/lib" >&5

if test -f $JAVA_DIR/lib/classes.zip; then
    # JDK1.1.6 under Solaris and Windows
    JAVA_CLASSPATH=$JAVA_DIR/lib/classes.zip
    echo "$ac_t""$JAVA_DIR/lib/classes.zip" 1>&6
elif test -f $JAVA_DIR/jre/lib/rt.jar; then
    # JDK1.2beta4 under Solaris and Windows
    JAVA_CLASSPATH=$JAVA_DIR/jre/lib/rt.jar
    echo "$ac_t""$JAVA_DIR/jre/lib/rt.jar" 1>&6
elif test "`uname -s`" = "IRIX"; then
    # JDK1.1.5 under IRIX
    if test -f $JAVA_DIR/lib/rt.jar; then
	JAVA_CLASSPATH=$JAVA_DIR/lib/rt.jar
    else
	{ echo "configure: error: could not find $JAVA_DIR/lib/rt.jar for IRIX system" 1>&2; exit 1; }
    fi
    if test -f $JAVA_DIR/lib/dev.jar; then
	JAVA_CLASSPATH=$JAVA_CLASSPATH:$JAVA_DIR/lib/dev.jar
    fi
    echo "$ac_t""$JAVA_CLASSPATH" 1>&6
fi





echo $ac_n "checking the java runtime""... $ac_c" 1>&6
echo "configure:1192: checking the java runtime" >&5

if env $JAVAC -d . $srcdir/Test.java ; then
    echo "$ac_t""the java compiler works" 1>&6
    echo $ac_n "checking the -native flag to the Java runtime""... $ac_c" 1>&6
echo "configure:1197: checking the -native flag to the Java runtime" >&5
    if env $JAVA -native Test ; then
        JAVA_FLAGS=-native
	echo "$ac_t""the -native flag works" 1>&6
    else
        #if -native did not work then make sure it works with no args
        if env $JAVA Test ; then
            JAVA_FLAGS=""
	    echo "$ac_t""the -native flag does not work" 1>&6
        else
            { echo "configure: error: could not run simple test program Test.class with $JAVA, you need to check the java runtime to make sure it is installed correctly and that . is in your CLASSPATH" 1>&2; exit 1; }
        fi
    fi
else
    { echo "configure: error: Could not compile simple test program Test.java with $JAVAC" 1>&2; exit 1; }
fi



#--------------------------------------------------------------------
# 	TclJAVA Specific Substitutions
#--------------------------------------------------------------------
# See src/pkgIndex.tcl for a list of other files that have version numbers
TCLJAVA_VERSION=1.1.1
TCLJAVA_MAJOR_VERSION=1
TCLJAVA_MINOR_VERSION=1
TCLJAVA_PATCHLEVEL=1

#--------------------------------------------------------------------
#	If the TCLJAVA variable equals tclblend then we need to
#	grab some variables from the tclConfig.sh
#--------------------------------------------------------------------

if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then

    #--------------------------------------------------------------------
    #	See if there was a command-line option for where Tcl is;  if
    #	not, assume that its top-level directory is a sibling of ours.
    #--------------------------------------------------------------------
    
    # Check whether --with-tcl or --without-tcl was given.
if test "${with_tcl+set}" = set; then
  withval="$with_tcl"
  TCL_BIN_DIR=$withval
else
  TCL_BIN_DIR="$srcdir/../../tcl8.0.4/unix"
fi

    
    if test ! -d $TCL_BIN_DIR; then
	TCL_BIN_DIR="$srcdir/../../tcl8.0/unix"
    fi

    if test ! -d $TCL_BIN_DIR; then
        { echo "configure: error: Tcl directory $TCL_BIN_DIR could not be located.
Use the --with-tcl=<dirName> configure flag to specify the location." 1>&2; exit 1; }
    else
	TCL_BIN_DIR=`cd $TCL_BIN_DIR; pwd`
    fi

    echo "checking for Tcl build in $TCL_BIN_DIR"

    if test ! -f $TCL_BIN_DIR/tclConfig.sh; then
	{ echo "configure: error: Tcl was not configured." 1>&2; exit 1; }
    fi

    #--------------------------------------------------------------------
    #	Read in configuration information generated by Tcl for shared
    #	libraries, and arrange for it to be substituted into our
    #	Makefile.
    #--------------------------------------------------------------------

    file=$TCL_BIN_DIR/tclConfig.sh
    . $file
    if test $TCL_SHARED_BUILD -eq 0 ; then
	{ echo "configure: error: Tcl was not built correctly.  
Make sure Tcl was configured with --enable-shared." 1>&2; exit 1; }
    fi

    CC=$TCL_CC
    SHLIB_CFLAGS=$TCL_SHLIB_CFLAGS
    SHLIB_LD=$TCL_SHLIB_LD
    SHLIB_LD_LIBS=$TCL_SHLIB_LD_LIBS
    SHLIB_SUFFIX=$TCL_SHLIB_SUFFIX
    SHLIB_VERSION=$TCL_SHLIB_VERSION
    TCL_LIBS=$TCL_LIBS
    TCL_VERSION=$TCL_VERSION
    # TCL_SRC_DIR is set in tclConfig.sh
    TCL_SRC_DIR=$TCL_SRC_DIR

    	
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
fi


#--------------------------------------------------------------------
#
#	Specify the classpath for Java Studio
#
#--------------------------------------------------------------------

# Check whether --with-studio or --without-studio was given.
if test "${with_studio+set}" = set; then
  withval="$with_studio"
  STUDIO_LIB_DIR=$withval
else
  STUDIO_LIB_DIR=NONE
fi


if test $STUDIO_LIB_DIR != "NONE"; then 

    #
    # If it is not NONE then test to see if it is valid.
    #
    if test ! -d $STUDIO_LIB_DIR/com; then
	{ echo "configure: error: Cannot locate the /com directory in $STUDIO_LIB_DIR." 1>&2; exit 1; }
    fi

elif test -f $srcdir/../tools/checkMak.tcl; then

    #
    # Hack for internal development.  We know where our 
    # Studio class files are located.
    
    STUDIO_LIB_DIR=/proj/tcl/install/Java-Studio1.0/JS/classes
fi


#
# try to find tclsh8.0 or wish8.0 in the path if we are running tclblend
#

TCLSH80=tclsh8.0
WISH80=wish8.0

if test $TCLJAVA = "tclblend" || test $BOTH = "true"; then

  # Extract the first word of "tclsh8.0", so it can be a program name with args.
set dummy tclsh8.0; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1353: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_TCLSH_LOC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$TCLSH_LOC" in
  /*)
  ac_cv_path_TCLSH_LOC="$TCLSH_LOC" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_TCLSH_LOC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
TCLSH_LOC="$ac_cv_path_TCLSH_LOC"
if test -n "$TCLSH_LOC"; then
  echo "$ac_t""$TCLSH_LOC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

  if test -x "$TCLSH_LOC"; then
      echo 'puts [info tclversion] ; exit 0' > tcl_version.tcl
      if test "`$TCLSH_LOC tcl_version.tcl`" = "8.0"; then
          TCLSH80=$TCLSH_LOC
          echo "$ac_t"" found tcl version 8.0 at $TCLSH80" 1>&6
      else
          echo "configure: warning:  could not find working tclsh8.0" 1>&2;
      fi
      rm -f tcl_version.tcl
  else
      #if we did not find tclsh8.0 then try tclsh
      # Extract the first word of "tclsh", so it can be a program name with args.
set dummy tclsh; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1395: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_TCLSH_LOC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$TCLSH_LOC" in
  /*)
  ac_cv_path_TCLSH_LOC="$TCLSH_LOC" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_TCLSH_LOC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
TCLSH_LOC="$ac_cv_path_TCLSH_LOC"
if test -n "$TCLSH_LOC"; then
  echo "$ac_t""$TCLSH_LOC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

      if test -x "$TCLSH_LOC"; then
          echo 'puts [info tclversion] ; exit 0' > tcl_version.tcl
          if test "`$TCLSH_LOC tcl_version.tcl`" = "8.0"; then
              TCLSH80=$TCLSH_LOC
              echo "$ac_t""found tcl version 8.0 at $TCLSH80" 1>&6
	  else
              echo "configure: warning:  $TCLSH_LOC is not tcl version 8.0" 1>&2
	  fi
          rm -f tcl_version.tcl
      else
          echo "configure: warning:  Failed to find a tcl shell version 8.0" 1>&2
      fi
  fi

  # Extract the first word of "wish8.0", so it can be a program name with args.
set dummy wish8.0; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1440: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_WISH_LOC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$WISH_LOC" in
  /*)
  ac_cv_path_WISH_LOC="$WISH_LOC" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_WISH_LOC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
WISH_LOC="$ac_cv_path_WISH_LOC"
if test -n "$WISH_LOC"; then
  echo "$ac_t""$WISH_LOC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

  if test -x "$WISH_LOC"; then
      echo 'puts [info tclversion] ; exit 0' > tcl_version.tcl
      if test "`$WISH_LOC tcl_version.tcl`" = "8.0"; then
          WISH80=$WISH_LOC
          echo "$ac_t"" found wish version 8.0 at $WISH80" 1>&6
      else
          echo "configure: warning:  could not find working wish8.0" 1>&2;
      fi
      rm -f tcl_version.tcl
  else
      #if we did not find wish8.0 then try wish
      # Extract the first word of "wish", so it can be a program name with args.
set dummy wish; ac_word=$2
echo $ac_n "checking for $ac_word""... $ac_c" 1>&6
echo "configure:1482: checking for $ac_word" >&5
if eval "test \"`echo '$''{'ac_cv_path_WISH_LOC'+set}'`\" = set"; then
  echo $ac_n "(cached) $ac_c" 1>&6
else
  case "$WISH_LOC" in
  /*)
  ac_cv_path_WISH_LOC="$WISH_LOC" # Let the user override the test with a path.
  ;;
  *)
  IFS="${IFS= 	}"; ac_save_ifs="$IFS"; IFS="${IFS}:"
  for ac_dir in $PATH; do
    test -z "$ac_dir" && ac_dir=.
    if test -f $ac_dir/$ac_word; then
      ac_cv_path_WISH_LOC="$ac_dir/$ac_word"
      break
    fi
  done
  IFS="$ac_save_ifs"
  ;;
esac
fi
WISH_LOC="$ac_cv_path_WISH_LOC"
if test -n "$WISH_LOC"; then
  echo "$ac_t""$WISH_LOC" 1>&6
else
  echo "$ac_t""no" 1>&6
fi

      if test -x "$WISH_LOC"; then
          echo 'puts [info tclversion] ; exit 0' > tcl_version.tcl
          if test "`$WISH_LOC -f tcl_version.tcl`" = "8.0"; then
              WISH80=$WISH_LOC
              echo "$ac_t"" found wish version 8.0 at $WISH80" 1>&6
          else
              echo "configure: warning:  $WISH_LOC is not wish version 8.0" 1>&2
          fi
          rm -f tcl_version.tcl
      else
          echo "configure: warning:  Failed to find a wish shell version 8.0" 1>&2
      fi
  fi

fi





#do variable substs into the *.in files

# Directory where we are building, used for CLASSPATH when we test
BUILD_DIR=`pwd`















if test $TCLJAVA = "jacl"; then 
    PROCESS_FILES="Makefile jaclsh"
elif test $TCLJAVA = "tclblend" && test $BOTH != "true"; then
    PROCESS_FILES="Makefile jwish"
else
    PROCESS_FILES="Makefile jwish jaclsh"
fi

trap '' 1 2 15
cat > confcache <<\EOF
# This file is a shell script that caches the results of configure
# tests run on this system so they can be shared between configure
# scripts and configure runs.  It is not useful on other systems.
# If it contains results you don't want to keep, you may remove or edit it.
#
# By default, configure uses ./config.cache as the cache file,
# creating it if it does not exist already.  You can give configure
# the --cache-file=FILE option to use a different cache file; that is
# what configure does when it calls configure scripts in
# subdirectories, so they share the cache.
# Giving --cache-file=/dev/null disables caching, for debugging configure.
# config.status only pays attention to the cache file if you give it the
# --recheck option to rerun configure.
#
EOF
# The following way of writing the cache mishandles newlines in values,
# but we know of no workaround that is simple, portable, and efficient.
# So, don't put newlines in cache variables' values.
# Ultrix sh set writes to stderr and can't be redirected directly,
# and sets the high bit in the cache file unless we assign to the vars.
(set) 2>&1 |
  case `(ac_space=' '; set) 2>&1` in
  *ac_space=\ *)
    # `set' does not quote correctly, so add quotes (double-quote substitution
    # turns \\\\ into \\, and sed turns \\ into \).
    sed -n \
      -e "s/'/'\\\\''/g" \
      -e "s/^\\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\\)=\\(.*\\)/\\1=\${\\1='\\2'}/p"
    ;;
  *)
    # `set' quotes correctly as required by POSIX, so do not add quotes.
    sed -n -e 's/^\([a-zA-Z0-9_]*_cv_[a-zA-Z0-9_]*\)=\(.*\)/\1=${\1=\2}/p'
    ;;
  esac >> confcache
if cmp -s $cache_file confcache; then
  :
else
  if test -w $cache_file; then
    echo "updating cache $cache_file"
    cat confcache > $cache_file
  else
    echo "not updating unwritable cache $cache_file"
  fi
fi
rm -f confcache

trap 'rm -fr conftest* confdefs* core core.* *.core $ac_clean_files; exit 1' 1 2 15

test "x$prefix" = xNONE && prefix=$ac_default_prefix
# Let make expand exec_prefix.
test "x$exec_prefix" = xNONE && exec_prefix='${prefix}'

# Any assignment to VPATH causes Sun make to only execute
# the first set of double-colon rules, so remove it if not needed.
# If there is a colon in the path, we need to keep it.
if test "x$srcdir" = x.; then
  ac_vpsub='/^[ 	]*VPATH[ 	]*=[^:]*$/d'
fi

trap 'rm -f $CONFIG_STATUS conftest*; exit 1' 1 2 15

# Transform confdefs.h into DEFS.
# Protect against shell expansion while executing Makefile rules.
# Protect against Makefile macro expansion.
cat > conftest.defs <<\EOF
s%#define \([A-Za-z_][A-Za-z0-9_]*\) *\(.*\)%-D\1=\2%g
s%[ 	`~#$^&*(){}\\|;'"<>?]%\\&%g
s%\[%\\&%g
s%\]%\\&%g
s%\$%$$%g
EOF
DEFS=`sed -f conftest.defs confdefs.h | tr '\012' ' '`
rm -f conftest.defs


# Without the "./", some shells look in PATH for config.status.
: ${CONFIG_STATUS=./config.status}

echo creating $CONFIG_STATUS
rm -f $CONFIG_STATUS
cat > $CONFIG_STATUS <<EOF
#! /bin/sh
# Generated automatically by configure.
# Run this file to recreate the current configuration.
# This directory was configured as follows,
# on host `(hostname || uname -n) 2>/dev/null | sed 1q`:
#
# $0 $ac_configure_args
#
# Compiler output produced by configure, useful for debugging
# configure, is in ./config.log if it exists.

ac_cs_usage="Usage: $CONFIG_STATUS [--recheck] [--version] [--help]"
for ac_option
do
  case "\$ac_option" in
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    echo "running \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion"
    exec \${CONFIG_SHELL-/bin/sh} $0 $ac_configure_args --no-create --no-recursion ;;
  -version | --version | --versio | --versi | --vers | --ver | --ve | --v)
    echo "$CONFIG_STATUS generated by autoconf version 2.12"
    exit 0 ;;
  -help | --help | --hel | --he | --h)
    echo "\$ac_cs_usage"; exit 0 ;;
  *) echo "\$ac_cs_usage"; exit 1 ;;
  esac
done

ac_given_srcdir=$srcdir

trap 'rm -fr `echo "$PROCESS_FILES" | sed "s/:[^ ]*//g"` conftest*; exit 1' 1 2 15
EOF
cat >> $CONFIG_STATUS <<EOF

# Protect against being on the right side of a sed subst in config.status.
sed 's/%@/@@/; s/@%/@@/; s/%g\$/@g/; /@g\$/s/[\\\\&%]/\\\\&/g;
 s/@@/%@/; s/@@/@%/; s/@g\$/%g/' > conftest.subs <<\\CEOF
$ac_vpsub
$extrasub
s%@CFLAGS@%$CFLAGS%g
s%@CPPFLAGS@%$CPPFLAGS%g
s%@CXXFLAGS@%$CXXFLAGS%g
s%@DEFS@%$DEFS%g
s%@LDFLAGS@%$LDFLAGS%g
s%@LIBS@%$LIBS%g
s%@exec_prefix@%$exec_prefix%g
s%@prefix@%$prefix%g
s%@program_transform_name@%$program_transform_name%g
s%@bindir@%$bindir%g
s%@sbindir@%$sbindir%g
s%@libexecdir@%$libexecdir%g
s%@datadir@%$datadir%g
s%@sysconfdir@%$sysconfdir%g
s%@sharedstatedir@%$sharedstatedir%g
s%@localstatedir@%$localstatedir%g
s%@libdir@%$libdir%g
s%@includedir@%$includedir%g
s%@oldincludedir@%$oldincludedir%g
s%@infodir@%$infodir%g
s%@mandir@%$mandir%g
s%@JAVAC@%$JAVAC%g
s%@JAVA@%$JAVA%g
s%@CPP@%$CPP%g
s%@AUX_LIBS@%$AUX_LIBS%g
s%@CC@%$CC%g
s%@SHLIB_CFLAGS@%$SHLIB_CFLAGS%g
s%@SHLIB_LD@%$SHLIB_LD%g
s%@SHLIB_LD_LIBS@%$SHLIB_LD_LIBS%g
s%@SHLIB_SUFFIX@%$SHLIB_SUFFIX%g
s%@SHLIB_VERSION@%$SHLIB_VERSION%g
s%@TCL_BUILD_LIB_SPEC@%$TCL_BUILD_LIB_SPEC%g
s%@TCL_LIBS@%$TCL_LIBS%g
s%@TCL_VERSION@%$TCL_VERSION%g
s%@TCL_SRC_DIR@%$TCL_SRC_DIR%g
s%@TCL_BIN_DIR@%$TCL_BIN_DIR%g
s%@JAVA_ARCH_INCLUDE@%$JAVA_ARCH_INCLUDE%g
s%@JAVA_ARCH_LIB@%$JAVA_ARCH_LIB%g
s%@JAVA_ARCH_RUNTIME_LIBS@%$JAVA_ARCH_RUNTIME_LIBS%g
s%@JAVA_INC_DIR@%$JAVA_INC_DIR%g
s%@TCL_LD_SEARCH_FLAGS@%$TCL_LD_SEARCH_FLAGS%g
s%@TCLSH_LOC@%$TCLSH_LOC%g
s%@WISH_LOC@%$WISH_LOC%g
s%@BUILD_DIR@%$BUILD_DIR%g
s%@JAVA_DIR@%$JAVA_DIR%g
s%@JAVA_CLASSPATH@%$JAVA_CLASSPATH%g
s%@JAVA_FLAGS@%$JAVA_FLAGS%g
s%@TCLJAVA_VERSION@%$TCLJAVA_VERSION%g
s%@TCLJAVA_MAJOR_VERSION@%$TCLJAVA_MAJOR_VERSION%g
s%@TCLJAVA_MINOR_VERSION@%$TCLJAVA_MINOR_VERSION%g
s%@TCLJAVA_PATCHLEVEL@%$TCLJAVA_PATCHLEVEL%g
s%@TCLJAVA@%$TCLJAVA%g
s%@STUDIO_LIB_DIR@%$STUDIO_LIB_DIR%g
s%@WISH80@%$WISH80%g
s%@TCLSH80@%$TCLSH80%g

CEOF
EOF

cat >> $CONFIG_STATUS <<\EOF

# Split the substitutions into bite-sized pieces for seds with
# small command number limits, like on Digital OSF/1 and HP-UX.
ac_max_sed_cmds=90 # Maximum number of lines to put in a sed script.
ac_file=1 # Number of current file.
ac_beg=1 # First line for current file.
ac_end=$ac_max_sed_cmds # Line after last line for current file.
ac_more_lines=:
ac_sed_cmds=""
while $ac_more_lines; do
  if test $ac_beg -gt 1; then
    sed "1,${ac_beg}d; ${ac_end}q" conftest.subs > conftest.s$ac_file
  else
    sed "${ac_end}q" conftest.subs > conftest.s$ac_file
  fi
  if test ! -s conftest.s$ac_file; then
    ac_more_lines=false
    rm -f conftest.s$ac_file
  else
    if test -z "$ac_sed_cmds"; then
      ac_sed_cmds="sed -f conftest.s$ac_file"
    else
      ac_sed_cmds="$ac_sed_cmds | sed -f conftest.s$ac_file"
    fi
    ac_file=`expr $ac_file + 1`
    ac_beg=$ac_end
    ac_end=`expr $ac_end + $ac_max_sed_cmds`
  fi
done
if test -z "$ac_sed_cmds"; then
  ac_sed_cmds=cat
fi
EOF

cat >> $CONFIG_STATUS <<EOF

CONFIG_FILES=\${CONFIG_FILES-"$PROCESS_FILES"}
EOF
cat >> $CONFIG_STATUS <<\EOF
for ac_file in .. $CONFIG_FILES; do if test "x$ac_file" != x..; then
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case "$ac_file" in
  *:*) ac_file_in=`echo "$ac_file"|sed 's%[^:]*:%%'`
       ac_file=`echo "$ac_file"|sed 's%:.*%%'` ;;
  *) ac_file_in="${ac_file}.in" ;;
  esac

  # Adjust a relative srcdir, top_srcdir, and INSTALL for subdirectories.

  # Remove last slash and all that follows it.  Not all systems have dirname.
  ac_dir=`echo $ac_file|sed 's%/[^/][^/]*$%%'`
  if test "$ac_dir" != "$ac_file" && test "$ac_dir" != .; then
    # The file is in a subdirectory.
    test ! -d "$ac_dir" && mkdir "$ac_dir"
    ac_dir_suffix="/`echo $ac_dir|sed 's%^\./%%'`"
    # A "../" for each directory in $ac_dir_suffix.
    ac_dots=`echo $ac_dir_suffix|sed 's%/[^/]*%../%g'`
  else
    ac_dir_suffix= ac_dots=
  fi

  case "$ac_given_srcdir" in
  .)  srcdir=.
      if test -z "$ac_dots"; then top_srcdir=.
      else top_srcdir=`echo $ac_dots|sed 's%/$%%'`; fi ;;
  /*) srcdir="$ac_given_srcdir$ac_dir_suffix"; top_srcdir="$ac_given_srcdir" ;;
  *) # Relative path.
    srcdir="$ac_dots$ac_given_srcdir$ac_dir_suffix"
    top_srcdir="$ac_dots$ac_given_srcdir" ;;
  esac


  echo creating "$ac_file"
  rm -f "$ac_file"
  configure_input="Generated automatically from `echo $ac_file_in|sed 's%.*/%%'` by configure."
  case "$ac_file" in
  *Makefile*) ac_comsub="1i\\
# $configure_input" ;;
  *) ac_comsub= ;;
  esac

  ac_file_inputs=`echo $ac_file_in|sed -e "s%^%$ac_given_srcdir/%" -e "s%:% $ac_given_srcdir/%g"`
  sed -e "$ac_comsub
s%@configure_input@%$configure_input%g
s%@srcdir@%$srcdir%g
s%@top_srcdir@%$top_srcdir%g
" $ac_file_inputs | (eval "$ac_sed_cmds") > $ac_file
fi; done
rm -f conftest.s*

EOF
cat >> $CONFIG_STATUS <<EOF

EOF
cat >> $CONFIG_STATUS <<\EOF

exit 0
EOF
chmod +x $CONFIG_STATUS
rm -fr confdefs* $ac_clean_files
test "$no_create" = yes || ${CONFIG_SHELL-/bin/sh} $CONFIG_STATUS || exit 1


